package cn.estsh.i3plus.pojo.bsp.server.bean.po;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/16 13:43
 * @Modify:
 **/
@Entity
@Table(name = "BSP_REGISTRY_METHOD_DOC_INFO")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("方法doc")
public class ExecutorRegistryMethodDocInfo extends BaseBean implements Serializable {
    private static final long serialVersionUID = 2770821289940006535L;

    @ApiModelProperty(value = "应用类型")
    @Column(name = "APP_TYPE")
    private Integer appType;

    @Lob
    @ApiModelProperty(value = "markdown文本，前端渲染")
    @Column(name = "MARKDOWN")
    private String markdown;

    @ApiModelProperty(value = "方法名,方法名和应用名做唯一键")
    @Column(name = "METHOD_NAME")
    private String methodName;

    @ApiModelProperty(value = "分类")
    @Lob
    @Column(name = "CLASSIFICATION")
    private String classification;
//    @Column(name = "BEAN_NAME")
//    @ApiModelProperty("beanName")
//    private String beanName;
//
//    @Column(name = "VERSION")
//    @ApiModelProperty("方法版本")
//    private String version;
//
//    @Column(name = "AFFECT_TABLE_STR")
//    @ApiModelProperty("受影响的表名,逗号分割，原来为数组")
//    private String affectTableClassNameStr;
//
//    @Column(name = "SYSTEM_PROCESS_STR")
//    @ApiModelProperty("系统要执行的逻辑 逗号分割，原来为数组")
//    private String systemProcessStr;

//    @Column(name = "VALIDATION")
//    @ApiModelProperty("参数验证 逗号分割，原来为数组")
//    private String validation;

//    @Column(name = "METHOD_ID")
//    @ApiModelProperty("方法ID")
//    private Long methodId;
}
